Subject: Re: Is there a way to get the "format-patch" formatted file name?

From: Oswald Buddenhagen <[email-masked]>
Date: Thu, 31 Aug 2023 14:46:03 +0200

On Thu, Aug 31, 2023 at 02:13:30PM +0200, Vít Ondruch wrote:
>Dne 31. 08. 23 v 13:04 Oswald Buddenhagen napsal(a):
>> On Thu, Aug 31, 2023 at 11:49:10AM +0200, Vít Ondruch wrote:
>>> $ git extract-filenames-from-patch 791.patch
>>>
>>> 0001-Fix-Minitest-constant-name-in-tests.patch
>>>
>> `git log --pretty=format:%f` does that.
>> of course you need to apply the patch first for that to work
>
>
>That (applying the patch) is the problem actually. I am looking for 
>functionality like this in the context of  Fedora packaging, where we 
>work with source tarballs. Therefore I don't typically have an 
>repository around.
>
well, you can just `git init` and add and commit the entire tree.
less inefficient would be creating a dummy repo, and cutting down the 
patch to be empty before applying it.

of course these are ludicrous suggestions in practice, and just 
replicating the cleanup function with a few regexes in a perl one-liner 
should do.

regards